# Mono.DocTest.Generic.GenericBase<U>

DocTest : Mono.DocTest.Generic Namespace

# GenericBase<U> Generic Class

Documentation for this section has not yet been entered.

## Syntax

public class GenericBase<U>

#### Type Parameters

> U
>   Insert `text` here.

## Remarks

`T:Mono.DocTest.Generic.GenericBase`1`.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from object.

## Public Constructors

| GenericBase () | Documentation for this section has not yet been entered.

## Public Fields

const | ConstField1 | int . Documentation for this section has not yet been entered.
static readonly | StaticField1 | GenericBase<U> . Documentation for this section has not yet been entered.

## Public Methods

BaseMethod<S> (S) : U

> Documentation for this section has not yet been entered.

## Public Events

| ItemChanged | Documentation for this section has not yet been entered.
| MyEvent | Documentation for this section has not yet been entered.

## Public Operators

static | Conversion to U (Explicit) | Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### GenericBase Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public GenericBase ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### BaseMethod<S> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public U BaseMethod<[Mono.DocTest.Doc("S")] S> (S genericParameter)

> #### Type Parameters

> > S
> >   Insert more `text` here.

> #### Parameters

> > genericParameter
> >   Something

> #### Returns

> > The default value.

> ## Remarks

> `M:Mono.DocTest.GenericBase`1.BaseMethod``1(``0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ConstField1 Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public const int ConstField1

> ## Remarks

> `F:Mono.DocTest.GenericBase`1.ConstField1`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### ItemChanged Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event Action<MyList<U>, MyList<U>.Helper<U, U>> ItemChanged

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.
> > ArgumentOutOfRangeException | Documentation for this section has not yet been entered.
> > ArrayTypeMismatchException | Documentation for this section has not yet been entered.
> > FormatException | Documentation for this section has not yet been entered.
> > IndexOutOfRangeException | Documentation for this section has not yet been entered.
> > InvalidOperationException | Documentation for this section has not yet been entered.
> > MulticastNotSupportedException | Documentation for this section has not yet been entered.
> > OutOfMemoryException | Documentation for this section has not yet been entered.
> > RankException | Documentation for this section has not yet been entered.

> ## Remarks

> E:Mono.DocTest.Generic.GenericBase`1.ItemChanged

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### MyEvent Event

> Documentation for this section has not yet been entered.

> ## Syntax

> public event EventHandler<GenericBase<U>.FooEventArgs> MyEvent

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | Documentation for this section has not yet been entered.
> > ArgumentNullException | Documentation for this section has not yet been entered.
> > ArgumentOutOfRangeException | Documentation for this section has not yet been entered.
> > ArrayTypeMismatchException | Documentation for this section has not yet been entered.
> > FormatException | Documentation for this section has not yet been entered.
> > IndexOutOfRangeException | Documentation for this section has not yet been entered.
> > InvalidOperationException | Documentation for this section has not yet been entered.
> > MulticastNotSupportedException | Documentation for this section has not yet been entered.
> > OutOfMemoryException | Documentation for this section has not yet been entered.
> > RankException | Documentation for this section has not yet been entered.

> ## Remarks

> E:Mono.DocTest.Generic.GenericBase`1.MyEvent

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Conversion Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public static explicit operator U (GenericBase<U> list)

> #### Parameters

> > list
> >   Insert description here

> #### Returns

> > The default value for U.

> ## Remarks

> `M:Mono.DocTest.GenericBase`1.op_Explicit(Mono.DocTest.GenericBase{`0})~`0`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### StaticField1 Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public static readonly GenericBase<U> StaticField1

> ## Remarks

> `F:Mono.DocTest.GenericBase`1.StaticField1`

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0